# Uses of Class
org.springframework.context.annotation.FullyQualifiedAnnotationBeanNameGenerator

Packages that use FullyQualifiedAnnotationBeanNameGenerator
Package
Description
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.

## Uses of FullyQualifiedAnnotationBeanNameGenerator in org.springframework.context.annotation

Fields in org.springframework.context.annotation declared as FullyQualifiedAnnotationBeanNameGenerator
Modifier and Type
Field
Description
`static final FullyQualifiedAnnotationBeanNameGenerator`
FullyQualifiedAnnotationBeanNameGenerator.`INSTANCE`
A convenient constant for a default `FullyQualifiedAnnotationBeanNameGenerator` instance, as used for configuration-level import purposes.